Subject: [alpine-devel] new aport expat

From: "Carlo Landmeter" <[email-masked]>
Date: Tue, 06 Jan 2009 15:44:05 +0000

Please review attached git patch.

Br,

Carlo

From 17eeaaf819beb2b4d3c174b6250eebb2d38df42b Mon Sep 17 00:00:00 2001
From: Carlo Landmeter <[email-masked]>
Date: Tue, 6 Jan 2009 15:42:51 +0000
Subject: [PATCH] extra/expat new aport

---
 extra/expat/APKBUILD |   22 ++++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)
 create mode 100644 extra/expat/APKBUILD

diff --git a/extra/expat/APKBUILD b/extra/expat/APKBUILD
new file mode 100644
index 0000000..f06b7ca
--- /dev/null
+++ b/extra/expat/APKBUILD
@@ -0,0 +1,22 @@
+# Maintainer: Carlo Landmeter <clandmeter at gmail.com>
+pkgname=expat
+pkgver=2.0.1
+pkgrel=0
+pkgdesc="An XML Parser library written in C"
+url="http://www.libexpat.org/"
+license='AS IS'
+depends="uclibc"
+makedepends=""
+source="http://surfnet.dl.sourceforge.net/sourceforge/expat/expat-2.0.1.tar.gz"
+subpackages="$pkgname-doc"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+
+	./configure --prefix=/usr \
+	--mandir=/usr/share/man
+	make || return 1
+	make DESTDIR="$pkgdir/" install
+}
+
+md5sums="ee8b492592568805593f81f8cdf2a04c  expat-2.0.1.tar.gz"
-- 
1.5.6.4

---

From: Natanael Copa <[email-masked]>
Date: Wed, 07 Jan 2009 09:52:04 +0100

> Please review attached git patch.

...

> +subpackages="$pkgname-doc"

I noticed that the expat-*.apk included some .a and .h files. Those
could go into a -dev package as they are only needed in buildtime and
not during runtime.

I just added $pkgname-dev and commited.

Thanks!

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---